[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installing Lame

Hi there, Anthony.

On Oct 26 2005, anthony iles wrote:
> I use Audacity to edit audio files. To export as mp3 or aiff I need
> Lame encoder - when I try to export in these formats from Audacity it
> asks me to locate the libmp3lame.so file/library.

As the maintainer of the debian packaging of lame (upstream), I would
suggest that you grab the latest released sources from sourceforge (see

Then, try to compile the version 3.87beta (don't be scared about the
beta in the name of the package---it's actually quite stable and works
well) to generate three debian packages for your system, one of them
being libmp3lame0, which audacity needs (yes, I do some recordings with
Audacity also).

Please install debhelper, build-essential and fakeroot to compile lame
"the Debian way", then enter the main directory and, finally, issue
something like:

dpkg-buildpackage -us -uc -rfakeroot

In a few moments you should get your shiny new packages compiled.

Hope this helps, Rogério Brito.

Rogério Brito : rbrito@ime.usp.br : http://www.ime.usp.br/~rbrito
Homepage of the algorithms package : http://algorithms.berlios.de
Homepage on freshmeat:  http://freshmeat.net/projects/algorithms/

Reply to: